<?php

error_reporting(-1);

require './lib/pastebin.php';
require './lib/myparsers.php';
require './lib/myfilebackend.php';

PastebinParserLocator::init(array(
	'text'	=> 'MyPlainParser',
	'php'	=> 'MyPhpParser'));

$text1 = "Однажды с студёную зимнюю пору
Я из лесу вышел, был сильный мороз
Гляжу — поднимается медленно в гору
Лошадка, везущая хворосту воз
";
$text2 = "<?php
\$a = '<span class=\"' . token_name(\$token[0]) . '\">';
// example of PHP function call
phpinfo();
";

$pastebin = new PastebinModel(new MyFileBackend());

$html1 = $pastebin->parse($text1, 'text', 'Anonymous');
//$html1 = $pastebin->parse($text1, 'poetry', 'Anonymous'); // EXCEPTION
$html2 = $pastebin->parse($text2, 'php', 'Anonymous');

?>
<html>
<head>
<title>Pastebin example</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<link rel="stylesheet" type="text/css" href="style.css" />
</head>
<body>
<h4>Text</h4>
<?php echo $html1 ?>
<h4>PHP Source</h4>
<?php echo $html2 ?>
</body>
</html>
