<?php

class MyFileBackend implements IPastebinBackend
{
	public function save($id, $parserId, $text, $html)
	{
		$data = array('parserId' => $parserId, 'text' => $text, 'html' => $html);
		file_put_contents('./data/' . $id . '.dat', serialize($data));
	}

	public function load($id)
	{
		if (!file_exists('./data/' . $id . '.dat')) {
			return FALSE;
		}
		$ser = file_get_contents('./data/' . $id . '.dat');
		return unserialize($ser);
	}

	public function log($id, $userId, $time)
	{
		$data = array('id' => $id, 'userId' => $userId, 'time' => $time);
		file_put_contents('./data/log/' . $time . '.log', serialize($data));
	}
}
